#ifndef INTERSECT_H
#define INTERSECT_H

#include "../../common/structs.h"

object* intersect(point* startP, vector* projV, point* pHit, char shadow);
double intersect_object(point* startP, vector* projV, object *obj, int shadow);
vector* get_normal(point* p, object* obj, vector* v);
void setup_intersect(void);
#endif /* INTERSECT_H */
